import { jest } from '@jest/globals';

jest.mock('~utils/storage', () => ({
  storage: {
    get: async (key: string) => (await chrome.storage.local.get(key))?.[key],
    remove: (key: string) => chrome.storage.local.remove(key),
    set: (key: string, value: any) => chrome.storage.local.set({ [key]: value }),
  },
}));
