export function useBrowser(): UseBrowserResult {
  const isChromium = navigator.userAgent.indexOf('Chrome') !== -1;
  const isEdge = navigator.userAgent.indexOf('Edg') !== -1;
  const isFirefox = navigator.userAgent.indexOf('Firefox') !== -1;

  return {
    isChromium,
    isEdge,
    isFirefox,
  };
}

export interface UseBrowserResult {
  readonly isChromium: boolean;
  readonly isEdge: boolean;
  readonly isFirefox: boolean;
}
