import onClicked from './utils/contextMenus/onClicked';
import onInstalled from './utils/runtime/onInstalled';
import onStartup from './utils/runtime/onStartup';
import onBeforeRequest from './utils/webRequest/onBeforeRequest';
import onErrorOccurred from './utils/webRequest/onErrorOccurred';

chrome.contextMenus.onClicked.addListener(onClicked);
chrome.runtime.onInstalled.addListener(onInstalled);
chrome.runtime.onStartup.addListener(onStartup);
chrome.webRequest.onBeforeRequest.addListener(onBeforeRequest as any, { urls: ['<all_urls>'] });
chrome.webRequest.onErrorOccurred.addListener(onErrorOccurred, { urls: ['<all_urls>'] });
